
WIKID_USER=root
if [ -r /etc/WiKID/security ]; then
	. /etc/WiKID/security
fi

WIKID_HOME=/opt/WiKID
home_owner=`ls -ld $WIKID_HOME | awk '{print $3}'`
if [ "$home_owner" != "$WIKID_USER" ]; then
  chown -R $WIKID_USER $WIKID_HOME # ensure proper file ownership
fi

for f in /etc/java/java.conf /etc/WiKID/java.conf; do
	if [ -f $f ]; then
		. $f
	fi
done
if [ -z "$JAVA_HOME" ]; then
	JAVA_HOME=/opt/java
fi

CATALINA_HOME=$WIKID_HOME/tomcat

CLASSPATH=$WIKID_HOME/tomcat/lib/servlet-api.jar
# have to exclude files for the directory, particularly log4j, since apacheds depends on nlog4j
for f in $WIKID_HOME/lib/*.jar; do
	file=${f##/*/}
	stub=${file%%-*}
	if [ "x$1" == "xldap" ]; then
		if [ -f $WIKID_HOME/directory/lib/$file ] || [ "x$stub" == "xlog4j" ]; then
			continue
		fi
	fi
	# echo "stub = $stub"
	# echo "file = $file"
	CLASSPATH=$f:$CLASSPATH
done
export CLASSPATH

export WIKID_HOME
export WIKID_USER
export CATALINA_HOME
export JAVA_HOME JAVACMD

PATH=$PATH:$JAVA_HOME/bin:$JAVA_HOME/jre/bin
export PATH

