#!/bin/bash

. /etc/WiKID/setenv.sh

## TODO: execute this only after some kind of confirmation from the user
## we'll fake it with the -force arg

SUDO=$WIKID_HOME/sbin/sudo.sh

check=$1
if [ x"$check" = x"-force" ]; then

	## let's see if we need to start postgres
	pgstatus=`$WIKID_HOME/sbin/service.sh postgresql start 2> /dev/null`

	# drop database
	$SUDO postgres "dropdb wikid" 2>/dev/null

	# drop group
	$SUDO postgres "dropuser wikid-sens" 2>/dev/null

	# drop users
	$SUDO postgres "dropuser timecop" 2>/dev/null
	$SUDO postgres "dropuser tomcat" 2>/dev/null
	$SUDO postgres "dropuser wikidadmin" 2>/dev/null
	$SUDO postgres "dropuser wikidncserver" 2>/dev/null
	$SUDO postgres "dropuser wikidradserver" 2>/dev/null

	$WIKID_HOME/sbin/service.sh postgresql stop > /dev/null 2>&1

fi
