#!/usr/bin/perl -w
use strict;
use lib '/opt/WiKID/lib';
use WiKIDUpdate;

open (AVAIL, '>/opt/WiKID/var/update/available_updates');
my @lines = &WiKIDUpdate::get_lines_from_server("http://updates.wikidsystems.com/wikid/servlet/com.wikidsystems.updater.update?action=check&release=$WiKIDUpdate::release&build=$WiKIDUpdate::build&quality=$WiKIDUpdate::quality&hostname=$WiKIDUpdate::hostname&ipaddr=$WiKIDUpdate::ipaddr&modulus=$WiKIDUpdate::modulus");
for (my $i = 0; $i <= $#lines; $i++) {
   next if ($lines[$i] =~ /^DEBUG: /);
   if ($lines[$i] =~ /=== RELEASE (.+) DETAILED DESCRIPTION BEGIN ===/) {
      my $release = $1;
      open (DESC, ">/opt/WiKID/var/update/description-release-$release");
      for (; $i <= $#lines; $i++) {
         last if ($lines[$i] =~ /=== RELEASE .+ DETAILED DESCRIPTION END ===/);
         print DESC $lines[$i];
      }
      close (DESC);
   } else {
      print AVAIL $lines[$i];
      print $lines[$i];
   }
}
close(AVAIL);
