#!/usr/bin/perl

my $hostname = "my-wikid-server";
if (-f '/etc/hostname') 
{
	open (F, '/etc/hostname');
	$hostname = <F>;
	chomp $hostname;
	close (F);
} 
else
{
	my $c = '';
	{
		local $/;
		open(F, '/etc/sysconfig/network');
		$c = <F>;
		close(F);
	}

	if ($c =~ /HOSTNAME=(\S+)/) {
		$hostname = $1;
	}
}

print "$hostname\n";

