#!/bin/bash

#Version=`cat /etc/WiKID/version`
Version=`/opt/WiKID/sbin/wikid-version.sh`

if [ -f /etc/grub.conf ]; then
	sed -e 's/^splashimage/#splashimage/' /etc/grub.conf > /etc/grub.conf.new && \
		sed -e "s/^title[^(]\\+/title WiKID Linux $Version /" /etc/grub.conf.new > /etc/grub.conf && \
			rm -f /etc/grub.conf.new
fi

## TODO: only apply to commercial release
echo $Version > /etc/issue
echo >> /etc/issue
echo $Version > /etc/issue.net
echo $Version > /etc/fedora-release

chmod a+r,a-wx /etc/issue*


