#!/bin/bash

for c in setup start stop demote promote recover synch upgrade; 
do
	if [ -L /opt/WiKID/bin/wikid_$c ]; then
		rm -f /opt/WiKID/bin/wikid_$c
	fi
done

/opt/WiKID/sbin/postgresql_unconfig.sh

if [ -d /opt/java.pre-wikid ]; then
	if [ -L /opt/java ]; then
		rm /opt/java
	fi
	mv /opt/java.pre-wikid /opt/java
fi
	
PFILE=/root/.bash_profile
if [ ! -f $PFILE ]; then
	PFILE=/root/.profile
fi
PFILE2="${PFILE}.new"

sed -n ':start /BEGIN.*wikid-server/! { p; n; b start;};
        /BEGIN.*wikid-server/ { b a; };
        :a /END.*wikid-server/! { n; b a; };
        /END.*wikid-server/ { n; b start; }' \
            < $PFILE > $PFILE2
mv $PFILE2 $PFILE

